Index: dist/debian-like/defaults
===================================================================
--- dist/debian-like/defaults	(revision 5104)
+++ dist/debian-like/defaults	(revision 5513)
@@ -30,4 +30,20 @@
 # It is used for Zero Conf like the location above.
 #ROARD_DESCRIPTION=''
+
+# Contact for roard:
+# This lion is a contact info for the server.
+# It is in format:
+#  first ["']nick["'] last (comment) <email>/OpenPGPkey/Phone/Room
+#ROARD_CONTACT=''
+
+# Serial for roard:
+# This is the serial numer for the device this roard runs on.
+# This is only useful if this runs on an embedded device.
+#ROARD_SERIAL=''
+
+# User interface URL for roard:
+# This is an url to a user interface used to control this roard or system.
+# This can also be a telnet://, llogin:// or ssh:// url.
+#ROARD_UIURL=''
 
 # Default location for roard:
@@ -94,4 +110,7 @@
 # ROARD_BITS=32
 
+# Alternatively setting samplerate, channels and bits by AI Profile:
+# ROARD_AIPROFILE='default-server'
+
 # Sound Driver and Device:
 # To get a list run: roard --list-driver
@@ -100,5 +119,5 @@
 # ROARD_DRIVER='oss'
 # ROARD_DEVICE='/dev/dsp'
-# ROARD_DRIVER_OPTIONS='sync'
+# ROARD_DRIVER_OPTIONS='sync,autoconf'
 
 # The Mixer Driver and Device:
@@ -122,4 +141,12 @@
 # Defaults to roard's internal defaults.
 # ROARD_ROLESTACK=''
+
+# --- [ Plugins ] ---
+
+# Plugins to load:
+# This lists the plugins to load. If no path is given (recommended)
+# they are loaded from the plugin search path.
+# Both, roard and universal (/multi-host) plugins can be loaded.
+# ROARD_PLUGINS=''
 
 # --- [ Auth Options ] ---
Index: dist/debian-like/roaraudio
===================================================================
--- dist/debian-like/roaraudio	(revision 5411)
+++ dist/debian-like/roaraudio	(revision 5513)
@@ -3,5 +3,5 @@
 # roaraudio initscript
 #
-# Copyright (c) 2008-2010 Philipp 'ph3-der-loewe' Schafft <lion@lion.leolix.org>
+# Copyright (c) 2008-2012 Philipp 'ph3-der-loewe' Schafft <lion@lion.leolix.org>
 # Copyright (c)      2007 Javier Fernandez-Sanguino <jfs@debian.org>
 #
@@ -77,4 +77,18 @@
 [ "$ROARD_DESCRIPTION" = ''    ] || ROARD_OPTS="--description '$ROARD_DESCRIPTION' $ROARD_OPTS"
 
+[ "$ROARD_CONTACT"     = ''    ] || ROARD_OPTS="--contact '$ROARD_CONTACT' $ROARD_OPTS"
+[ "$ROARD_SERIAL"      = ''    ] || ROARD_OPTS="--serial '$ROARD_SERIAL' $ROARD_OPTS"
+[ "$ROARD_UIURL"       = ''    ] || ROARD_OPTS="--uiurl '$ROARD_UIURL' $ROARD_OPTS"
+
+[ "$ROARD_SOCKET" = '' ]  || ROARD_OPTS="--sock $ROARD_SOCKET $ROARD_OPTS"
+[ "$ROARD_PORT"   = '' ]  || ROARD_OPTS="--port $ROARD_PORT $ROARD_OPTS"
+
+if [ "$ROARD_OBJECT" = '' ]
+then
+ [ "$ROARD_HOST" = '' ]   || ROARD_OPTS="--bind $ROARD_HOST $ROARD_OPTS"
+else
+ ROARD_OPTS="--sock $ROARD_HOST::$ROARD_OBJECT $ROARD_OPTS"
+fi
+
 case "$ROARD_AF" in
   UNIX|unix)
@@ -120,12 +134,8 @@
 esac
 
-[ "$ROARD_SOCKET" = '' ]  || ROARD_OPTS="--sock $ROARD_SOCKET $ROARD_OPTS"
-[ "$ROARD_PORT"   = '' ]  || ROARD_OPTS="--port $ROARD_PORT $ROARD_OPTS"
-
-if [ "$ROARD_OBJECT" = '' ]
-then
- [ "$ROARD_HOST" = '' ]   || ROARD_OPTS="--bind $ROARD_HOST $ROARD_OPTS"
-else
- ROARD_OPTS="--sock $ROARD_HOST::$ROARD_OBJECT $ROARD_OPTS"
+if [ "$ROARD_PROFILES" != '' ]
+then
+ _p=`echo "$ROARD_PROFILES" | sed 's/  */ --new-sock --proto-profile /g'`
+ ROARD_OPTS="$ROARD_OPTS --new-sock --proto-profile $_p"
 fi
 
@@ -136,7 +146,9 @@
 [ "$ROARD_BITS"    = '' ] || ROARD_OPTS="-B $ROARD_BITS $ROARD_OPTS"
 
+[ "$ROARD_AIPROFILE" = '' ] || ROARD_OPTS="--aiprofile $ROARD_AIPROFILE $ROARD_OPTS"
+
 [ "$ROARD_DRIVER" = '' ]  || ROARD_OPTS="-o $ROARD_DRIVER $ROARD_OPTS"
 [ "$ROARD_DEVICE" = '' ]  || ROARD_OPTS="-O $ROARD_DEVICE $ROARD_OPTS"
-[ "$ROARD_DRIVER_OPTIONS" = '' ] && ROARD_DRIVER_OPTIONS='sync'
+[ "$ROARD_DRIVER_OPTIONS" = '' ] && ROARD_DRIVER_OPTIONS='sync,autoconf'
 ROARD_OPTS="-oP -oO $ROARD_DRIVER_OPTIONS $ROARD_OPTS"
 
@@ -150,4 +162,9 @@
 do
  ROARD_OPTS="--rolestack-push $_p $ROARD_OPTS"
+done
+
+for _p in $ROARD_PLUGINS
+do
+ ROARD_OPTS="--plugin-load $_p $ROARD_OPTS"
 done
 
@@ -195,10 +212,4 @@
 
 ROARD_OPTS="$ROARD_OPTS $ESD_OPTS $RSOUND_OPTS"
-
-if [ "$ROARD_PROFILES" != '' ]
-then
- _p=`echo "$ROARD_PROFILES" | sed 's/  */ --new-sock --proto-profile /g'`
- ROARD_OPTS="$ROARD_OPTS --new-sock --proto-profile $_p"
-fi
 
 for _p in $CHOWN_LIST
